%define module_name Date-Japanese-Era-Table-Builder
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Japanese/Era.pm) perl(Date/Simple.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: conversion table builder for Date::Japanese::Era
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WI/WITO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is used to define the conversion table used by the Date::Japanese::Era manpage, unfettered by concepts such as "post-gregorian-calender", "past eras only" and "factually correct".

The module has three primary uses: The (far) past, the (far) future, and the (alternate) present, and was written as a writing aid when dealing with stories relating to future eras of Japan, although it's equally useful for quick conversion of old eras in a selected range, or accessing the calendar as it would look with alternate era names.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Tue Apr 02 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- updated by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

